"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _path = _interopRequireDefault(require("path"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const plugin = (api, config) => {
  api.configureWebpack(({
    configure
  }) => {
    configure(webpackConfig => {
      webpackConfig.module.rule('js').test(/\.m?jsx?$/).enforce('pre').exclude.add(/node_modules/).end().use('babel-loader').loader(require.resolve('babel-loader')).options({
        cacheDirectory: true,
        rootMode: 'upward-optional'
      });
    });
  });
};

plugin.generator = api => {
  const pkg = require('../package.json');

  api.extendPackage({
    devDependencies: {
      '@babel/runtime': pkg.devDependencies['@babel/runtime']
    }
  });
  api.renderDir(_path.default.resolve(__dirname, '../template'));
};

var _default = plugin;
exports.default = _default;